Bug 1026542 - [abrt] backintime-gnome-1.0.26-2.fc20: tools.py:505:set_keyring:AttributeError: 'module' object has no attribute 'GnomeKeyring'
[abrt] backintime-gnome-1.0.26-2.fc20: tools.py:505:set_keyring:AttributeErro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: backintime (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:537000d23f0e6a2c9b4e15e7d21...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 17:47 EST by Niklas Doose
Modified: 2013-12-14 04:59 EST (History)
4 users (show)

See Also:
Fixed In Version: backintime-1.0.28-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 10:32:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (925 bytes, text/plain)
2013-11-04 17:47 EST, Niklas Doose
no flags Details
File: environ (370 bytes, text/plain)
2013-11-04 17:47 EST, Niklas Doose
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1234024 None None None Never

  None (edit)
Description Niklas Doose 2013-11-04 17:47:23 EST
Description of problem:
The crash happened for backintime-gnome for user and root starters after updating python-keyring to python-keyring-3.1-1.fc20.noarch from updates-testing.

Steps to reproduce:
1. Update to python-keyring-3.1-1.fc20.noarch from updates-testing
2. start backintime-gnome

Version-Release number of selected component:
backintime-gnome-1.0.26-2.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        python /usr/share/backintime/gnome/app.py
dso_list:       backintime-common-1.0.26-2.fc20.noarch
executable:     /usr/share/backintime/gnome/app.py
kernel:         3.11.6-302.fc20.i686+PAE
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
tools.py:505:set_keyring:AttributeError: 'module' object has no attribute 'GnomeKeyring'

Traceback (most recent call last):
  File "/usr/share/backintime/gnome/app.py", line 1280, in <module>
    main_window = MainWindow( cfg, app_instance )
  File "/usr/share/backintime/gnome/app.py", line 333, in __init__
    mnt = mount.Mount(cfg = self.config, profile_id = profile_id, parent = self.window)
  File "/usr/share/backintime/common/mount.py", line 52, in __init__
    pw_cache = password.Password_Cache(self.config)
  File "/usr/share/backintime/common/password.py", line 265, in __init__
    self.keyring_supported = tools.set_keyring(backend)
  File "/usr/share/backintime/common/tools.py", line 505, in set_keyring
    backends = (keyring.backend.GnomeKeyring(), keyring.backend.KDEKWallet())
AttributeError: 'module' object has no attribute 'GnomeKeyring'

Local variables in innermost frame:
prefered: 'gnomekeyring'
Comment 1 Niklas Doose 2013-11-04 17:47:31 EST
Created attachment 819399 [details]
File: backtrace
Comment 2 Niklas Doose 2013-11-04 17:47:34 EST
Created attachment 819401 [details]
File: environ
Comment 3 Christopher Meng 2013-11-04 23:40:04 EST
Confirmed. See external tracker.

However 1.0.28 needs a new python module which is being reviewed(stalled with problematic tests), and 1.0.28 contains fix for this, but...You know I'm standing in a hard situation......

I will solve it quickly......
Comment 4 menzinoah 2013-11-21 13:51:00 EST
Description of problem:
I tried to open backintime....

Version-Release number of selected component:
backintime-gnome-1.0.26-2.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        python /usr/share/backintime/gnome/app.py
dso_list:       backintime-common-1.0.26-2.fc20.noarch
executable:     /usr/share/backintime/gnome/app.py
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
tools.py:505:set_keyring:AttributeError: 'module' object has no attribute 'GnomeKeyring'

Traceback (most recent call last):
  File "/usr/share/backintime/gnome/app.py", line 1280, in <module>
    main_window = MainWindow( cfg, app_instance )
  File "/usr/share/backintime/gnome/app.py", line 321, in __init__
    settingsdialog.SettingsDialog( self.config, self.snapshots, self ).run()
  File "/usr/share/backintime/gnome/settingsdialog.py", line 197, in __init__
    self.keyring_supported = tools.set_keyring(backend)
  File "/usr/share/backintime/common/tools.py", line 505, in set_keyring
    backends = (keyring.backend.GnomeKeyring(), keyring.backend.KDEKWallet())
AttributeError: 'module' object has no attribute 'GnomeKeyring'

Local variables in innermost frame:
prefered: 'gnomekeyring'
Comment 5 Boricua 2013-11-22 07:37:46 EST
Description of problem:
I have backintime scheduled for backups but just crashed after updating from F19 to F20 beta, 64 bit.

Version-Release number of selected component:
backintime-common-1.0.26-2.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        python /usr/share/backintime/common/backintime.py --backup-job
executable:     /usr/share/backintime/common/backintime.py
kernel:         3.11.8-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
tools.py:505:set_keyring:AttributeError: 'module' object has no attribute 'GnomeKeyring'

Traceback (most recent call last):
  File "/usr/share/backintime/common/backintime.py", line 388, in <module>
    start_app()
  File "/usr/share/backintime/common/backintime.py", line 175, in start_app
    take_snapshot( cfg, False )
  File "/usr/share/backintime/common/backintime.py", line 53, in take_snapshot
    snapshots.Snapshots( cfg ).take_snapshot( force )
  File "/usr/share/backintime/common/snapshots.py", line 887, in take_snapshot
    hash_id = mount.Mount(cfg = self.config).mount()
  File "/usr/share/backintime/common/mount.py", line 52, in __init__
    pw_cache = password.Password_Cache(self.config)
  File "/usr/share/backintime/common/password.py", line 265, in __init__
    self.keyring_supported = tools.set_keyring(backend)
  File "/usr/share/backintime/common/tools.py", line 505, in set_keyring
    backends = (keyring.backend.GnomeKeyring(), keyring.backend.KDEKWallet())
AttributeError: 'module' object has no attribute 'GnomeKeyring'

Local variables in innermost frame:
prefered: 'gnomekeyring'
Comment 6 Christopher Meng 2013-11-23 20:48:42 EST
I will fix this in monday.
Comment 7 Fedora Update System 2013-11-25 20:32:50 EST
backintime-1.0.28-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backintime-1.0.28-2.fc19
Comment 8 Fedora Update System 2013-11-25 20:34:15 EST
backintime-1.0.28-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backintime-1.0.28-2.fc20
Comment 9 Niklas Doose 2013-11-26 10:32:53 EST
Version 1.0.28-2 fixes the problem for me. Thank you Christopher!
Comment 10 Fedora Update System 2013-12-05 05:37:58 EST
backintime-1.0.28-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-12-13 22:45:23 EST
backintime-1.0.28-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Boricua 2013-12-14 04:43:19 EST
I am still having the following issue, not sure if it is related, when trying to update wuth yum:


Dependency Resolution Errors:

Package: backintime-gnome-1.0.28-2.fc20.noarch (updates-testing)
    Requires: python-SecretStorage
Comment 13 Christopher Meng 2013-12-14 04:59:48 EST
(In reply to Boricua from comment #12)
> I am still having the following issue, not sure if it is related, when
> trying to update wuth yum:
> 
> 
> Dependency Resolution Errors:
> 
> Package: backintime-gnome-1.0.28-2.fc20.noarch (updates-testing)
>     Requires: python-SecretStorage

Mirrors are in synchronization status. Please wait.

Note You need to log in before you can comment on or make changes to this bug.